Questions tagged [updating]

Use it for questions about updating Drupal core and contributed modules.

Filter by
Sorted by
Tagged with
0
votes
0answers
13 views

Update failed on Metadata module, any easy fix?

I am very sorry to bring a rather nebulous question here but need any and all help I can get: for the first time, I've had a "White Screen of Death" issue when trying to update a module. I believe ...
0
votes
0answers
41 views

Why is my site status continuing to indicate mismatched field definitions after updating?

When I visit /admin/reports/status, I am told that a few entities have fields that need to be updated or reinstalled. I created an update hook: /** * Remove the result field from the analysis ...
1
vote
2answers
128 views

Upgraded to 8.8.3 and now all of my modules say “No available releases found”

I just recently updated to 8.8.3 and for some reason, all of my modules now say "No available releases found". Also the one module I had that did report "No available releases found" (Video Embed for ...
0
votes
0answers
10 views

commerce_kickstart-7.x-2.64-core.tar.gz does not contain any .info files

Unable to update to commerce kickstart 7.x-2.64 using drupal update. I get the following error message: "commerce_kickstart-7.x-2.64-core.tar.gz does not contain any .info files" I have updated ...
2
votes
0answers
51 views

Broken live site after upgrade although upgrading locally and stage was no problem

I have just upgraded a site from Drupal 8.7 to 8.8, and I now have a broken site. Pages on the site (mainly admin pages) are now giving the following error: Drupal\Component\Plugin\Exception\...
1
vote
1answer
26 views

Adding a base field definition in an update hook - it's not appearing

I want to add another base field to a Drupal entity. It used to be possible to just change the code for the entity definition and then update it via the Drupal console. But now it has to be done in an ...
0
votes
1answer
19 views

Update UI lists modules/themes that are already updated

I have a D7 (7.69) site. On both dev and production, I can update a module (using the web UI - /admin/modules/update), apparently successfully, yet afterwards, that module stays listed as requiring an ...
0
votes
0answers
22 views

Migrating Drupal 7 to Drupal 8 - Source Plugin Error

I am trying to migrate a Drupal 7 site to Drupal 8, however, I keep getting this error; Resolve all issues below to continue the upgrade. The d6_library_transaction plugin must define the ...
1
vote
5answers
877 views

composer won't update 8.7.10 to 8.8.2 - “Nothing to install or update”

When I try to use composer to update Drupal, it fails to follow through, and gives me several abandoned items. Not sure where to go from here, but maybe someone can give pointers on what might be ...
0
votes
0answers
19 views

Cannot disable module “monitoring” after failed upgrade

I just updated to Drupal 8.8.1 (composer update drupal/* --with-dependencies now says I'm up to date, even though I know that 8.8.2 is actually the most recent). After doing this, I can use most of ...
1
vote
0answers
26 views

Update field properties defined by hook_schema()

I'm probably a bit confused by documentation. Got a custom field with some properties defines in hook_schema() : /** * Some field type. * * @FieldType( * id = "field_selector", * label = @...
2
votes
1answer
90 views

Site broken after upgrading with Pathauto < 8.x-1.6

I recently upgraded to Drupal 8.8. Unfortunately I missed the memo on needing to upgrade Pathauto first and now my site is broken. Most pages give the message "The website encountered an unexpected ...
0
votes
1answer
56 views

Impossible to update some modules via Composer

I've updated a D8 website from 8.7 to 8.8.1 with SSH and composer. For some modules (in SSH 3rd column is marked in yellow) it is not possible to update them. I understand that when they are marked in ...
0
votes
1answer
39 views

I cannot update because of Ubercart and Google Analytics module error

I tried updating my Google Analytics module today, but when I went to the update.php page I got this error: Unresolved dependency. Google Analytics (Version !=7.x-2.4 required) Google Analytics for ...
0
votes
1answer
56 views

Error guzzlehttp/guzzle ^6.3 -> no matching package found when update from 8.7.9 to 8.8.1

When i tried to update my project using composer from 8.7.9 to 8.8.1 i get the following error: Command: composer update drupal/core --with-dependencies [Composer\DependencyResolver\...
0
votes
1answer
595 views

Deprecated configuration for the temporary files path

After updating to 8.8.1 I get this warning: You are using deprecated configuration for the temporary files path. Remove the configuration and add the following to settings.php. $settings["...
0
votes
1answer
34 views

Drush does not run command, but prints the php script

We have a special server that runs php5.x and relies on drush 5.x. PHP 7.0 is installed, but the sites on the server all run PHP5, because PHP7 breaks them. We have previously had drush 5 on it, but ...
0
votes
1answer
154 views

Error while updating

Updated Drupal from 8.7.8 to 8.8.0 with: composer update --with-dependencies That part went well, but when I run: drush updb I get following error: In ProcessBase.php line 188: Unable to ...
1
vote
3answers
44 views

I extended some functionality in the slick module, but I am looking to do it in a way that doesn't get erased each time I update slick

I extended some functionality in the slick module, but I am looking to do it in a way that doesn't get erased each time I update slick. I added a css file and edited the slick skin php file to use ...
0
votes
2answers
53 views

Updating core modules independently of core?

We have a vendor that is asking us to assist them in updating a core module independently of core. Is there such a thing? For example, could you update Views without updating core? My understanding ...
0
votes
1answer
169 views

Steps to update vendor files after pulling changed composer.lock file

Let's say I work in a group and somebody else did composer update and pushed changed composer.lock file. I pulled it and now I have to do update too, to match the files from changed lock file. In ...
0
votes
2answers
127 views

Updating Drupal project using Composer fails

I have site (which is originally installed also with composer) with drupal core version 8.7.2. I'm trying to update it to latest 8.7.8. When I do: composer outdated "drupal/*" I get the list of all ...
0
votes
0answers
61 views

How do I fix this version error?

I have a Drupal 8 site that has been installed with Composer. Last week, I updated Search API 1.14 and Search API Solr 3.7. The module are in the good version, but when I run drush updatedb, the ...
0
votes
1answer
37 views

Should the Update Manager module be uninstalled when installing with Composer?

Drupal 8 is installed with Composer and I use it to update. So I uninstalled the Update Manager module provided by the core. Now when I go to /admin/reports/status, I have the following warning. ...
0
votes
0answers
72 views

Drupal Commerce Post Update Error using Drush updb

Just update drupal and am trying to run drush updb but getting commerce post update errors. Module Update ID Type Description commerce_order 10 post-update ...
1
vote
0answers
182 views

Drush cannot connect to the database when updating

I am trying to update Drupal from version 8.7.5 to 8.7.7. I installed Drupal using composer and had a really old version of Drush that I had installed from apt-get. I uninstalled the old version and ...
0
votes
1answer
33 views

Strange views issue on upgrade

I'm upgrading a site from 8.4.8 to 8.7.7 via Composer. After a few rounds, things seem pretty good, but I'm stuck on a tricky bit: on drush updatedb the process throws an error on Views post-update. ...
1
vote
1answer
39 views

How to update custom paragaph which is added to User Profile?

I have a requirement to create/update a paragraph which is added as a custom field in USER profile. After surfing here, i got how to update a paragraph which is connected to node. But I am not able ...
0
votes
0answers
71 views

Manual Update from Drupal 8.7.6 to 8.7.7 Acts Like New Install

I have been manually updating Drupal 8 core successfully until now. When I try to update from 8.7.6 to 8.7.7 it goes to a new install. Here is what I did Back up database, and back up entire site ...
0
votes
0answers
20 views

Getting error of “entity_share_client.commands”

While trying to update Drupal core I was facing issue with error - drupal/entity_share 1.x-dev requires drupal/jsonapi >=1.0.0 <2.0.0 But updating version of drupal/entity_share to latest ...
1
vote
2answers
348 views

Composer update - Your requirements could not be resolved to an installable set of packages

when I run a composer update --with-dependencies, I get the following error message: Problem 1 - don't install drupal/core 8.6.0|remove drupal/drupal dev-master - don't install drupal/core 8....
0
votes
0answers
61 views

Contact message entitytype missing “id” parameter after 8.7.6 update

I am updating site from 8.7.1 to 8.7.6, and I'm getting strange error: Error: Call to a member function getType() on null in Drupal\Core\Entity\Sql\SqlContentEntityStorageSchema->...
0
votes
0answers
24 views

Error 500 after disabling update manager by mistake

I have disabled by mistake the update manager module while I was trying to enable the install module button (that has disappeared). After this wrong operation, the website returns me a 500 error and I ...
3
votes
2answers
894 views

How to install a specific version of Drupal using Composer

Composer always installs the latest version of Drupal core, I want 8.6 not 8.7. How can I achieve this?
0
votes
1answer
52 views

Additional old_XXXXXXtaxonomy_term__field_XXX Tables after upgrading

After Upgrading from Drupal 8.6 to 8.7 I have tons of new (garbage?) tables in the database. The naming schema for the tables is old_XXXXXXtaxonomy_term__field_XXX Is there a drush command to remove ...
0
votes
0answers
64 views

Is it possible to make a site aware of entity schema changes that are managed externally using SQL-based storage?

Consider the following situation: A Drupal 8 site using native SQL-storage (MySQL) custom_table is added to the same MySQL host as Drupal, either as a table in the Drupal system DB or as a table in a ...
0
votes
1answer
31 views

Drupal update to specific version (not dev) with git

I have a Drupal folder made with command: git clone --branch 7.x https://git.drupalcode.org/project/drupal.git Now I want to update it to the actual version (7.67). When I run git pull origin 7.x ...
1
vote
1answer
280 views

Drupal\Component\Plugin\Exception\PluginNotFoundException: The “<whatever>” plugin does not exist

After updading a Drupal site from 8.6.16 to 8.7.1 (PostgreSQL 9.6.13 , Nginx) I get this error in almost every operation (creating a view , installing a module, creating a content type, creating a ...
0
votes
2answers
279 views

Fatal error: Class 'DrupalDefaultEntityController' not found in comment.module

I'm trying to update the Drupal Core of a website, specifically from 7.65 to 7.67. I've followed the instructions from here. After the process, I've try to access the website without luck, because I'm ...
0
votes
1answer
30 views

How to generate my own patches to update core for security when fuerstnet.de's “Drupal upgrade the easy way” page is out of date?

For Drupal 7, under the current host I'm using (which doesn't provide things like drush), I've found that patching is the easiest approach to updating core. However, the commonly-referenced page which ...
-1
votes
1answer
38 views

Drupal maintenance over several environments [closed]

I have a production environment for a Drupal 7 site. This environment is replicated to a staging environment, which we use for testing updates to modules and drupal core (same major version). We ...
0
votes
1answer
431 views

Why can't I update core from 8.6.16 to 8.7.1?

I need to update my Drupal 8 site from 8.6.16 to 8.7.1, but when I run composer update drupal/core --with-dependencies it says "Nothing to install or update". I have been banging my head on the wall ...
1
vote
2answers
81 views

Can I remove the experimental module warning from /admin/reports/status?

My drupal 8 site is showing a experimental modules enabled warning under /admin/reports/status. I vaguely remember to have them enabled at a certain time, but I forgot where. I don't use any of them, ...
1
vote
1answer
55 views

How to handle config changes on core update?

I have an 8.6.15 site managed by composer and drush. The db and config exports are in sync. Roling our new features using drush cim on production works fine. I now update core to 8.7 by running ...
4
votes
4answers
1k views

Error when viewing list of taxonomy terms

I'm getting an "unexpected error" when I try to view a list of taxonomy terms. I recently updated to 8.7, though I have a feeling the problem has been around since before the update. Here's the error ...
0
votes
1answer
31 views

How do I apply or run an update?

For recent changes to 8.5.x, my paragraph entities broke and throws the following error. SQLSTATE[42S22]: Column not found: 1054 Unknown column 'revision_uid' in field list I uninstalled and ...
0
votes
1answer
85 views

Drupal 8: Node “options” does not exist for Node “Drupal\Core\Template\TwigNodeTrans” error after update

after updating Drupal 8 from 8.6.14 to 8.6.15 (twig v1.40.1) I suddenly get this kind of fatal errors: Uncaught PHP Exception Twig\Error\SyntaxError: "An exception has been thrown during the ...
0
votes
0answers
25 views

Modules inside a profile are not listed in the “Extend” page

After updating Drupal core from 8.5.15 to 8.6.15, the modules inside a profile are not listed in the Extend page. When I run drush updb I get error messages about missing modules.
1
vote
1answer
143 views

Composer.json deletes dir even with preserve path

I am running composer on Drupal 7 and I am just trying to update my site; however when I run composer update, the composer deletes all the preserve paths I had specified. My structure is as follows: ...
0
votes
0answers
43 views

Update Symfony before Drupal core?

Right now there are some security updates for Symfony: curl -sS https://get.symfony.com/cli/installer | bash echo y | ~/.symfony/bin/symfony self:update ~/.symfony/bin/symfony security:check Symfony ...

1
2 3 4 5
13